import { getPermalink, getBlogPermalink, getAsset } from './utils/permalinks';

export const headerData = {
  links: [
    {
      text: 'Technology',
      href: getPermalink('/technology'),
    },
    { 
      text: 'Farming',
      href: getPermalink('/nodes'),
    },
    {
      text: 'Ecosystem',
      href: getPermalink('/ecosystem'),
    },  
    {
      text: 'About',
      href: getPermalink('/about'),
    },
    {
      text: 'Contact',
      href: getPermalink('/contact'),
    },
  ],
  actions: [{ text: 'Get INCA Nodes', href: 'https://threefold.io', target: '_blank' }],
};

export const footerData = {
  links: [
    {
      title: 'Technology',
      links: [
        { text: 'Zero-OS', href: 'technology#zeroos' },
        { text: 'Mycelium Network', href: 'technology#mycelium' },
        { text: 'Quantum Safe File Storage', href: 'technology#qsfs' },
        { text: 'TFChain', href: 'technology#tfchain' },
      ],
    },
    {
      title: 'Nodes',
      links: [
        { text: 'Silver', href: '/nodes' },
        { text: 'Platinum', href: '/nodes' },
        { text: 'AI', href: '/nodes' },
      ],
    },
    {
      title: 'About',
      links: [
        { text: 'The Project', href: '/about' },
        { text: 'ThreeFold', href: 'https://threefold.io' },
      ],
    },
    {
      title: 'Contact',
      links: [
        { text: 'Let\'s Connect', href: '/contact' },
        { text: 'Reach Support', href: 'https://threefoldfaq.crisp.help/en/' },
        { text: 'ThreeFold Chat', href: 'https://t.me/threefold' },
      ],
    },
  ],
  secondaryLinks: [
    { text: 'Terms', href: getPermalink('/terms') },
    { text: 'Privacy Policy', href: getPermalink('/privacy') },
  ],
  socialLinks: [
    { ariaLabel: 'X', icon: 'tabler:brand-x', href: 'https://twitter.com/threefold_io' },
    { ariaLabel: 'Github', icon: 'tabler:brand-github', href: 'https://github.com/threefoldtech' },
  ],
  footNote: `
    A project by <a class="text-blue-600 underline dark:text-muted" href="https://threefold.io"> ThreeFold</a> · All rights reserved.
  `,
};